package com.unis.base.server.service;

import java.util.List;

import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.TyZjxxzbQueryVO;
import com.unis.base.common.vo.TyZjxxzbVO;

/**
 * @author huangxing
 * @version 1.0
 * @Title: TyCrkxxService
 * @ProjectName TyCrkxxService
 * @Description:
 * @date 2019/7/22 17:47
 */
public interface TyZjxxzbService {

	/**
	 * 获取信息列表
	 * @param tyZjxxzbQueryVO
	 * @return
	 */
	List<TyZjxxzbVO> getTyZjxxzbList(TyZjxxzbQueryVO tyZjxxzbQueryVO);

	/**
	 * 分页展示
	 * @param tyZjxxzbQueryVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	List<TyZjxxzbVO> getTyZjxxzbPage(TyZjxxzbQueryVO tyZjxxzbQueryVO, Integer pageNum, Integer pageSize);

	/**
	 * 新增信息
	 * @param tyZjxxzbVO
	 * @return
	 */
	int insert(TyZjxxzbVO tyZjxxzbVO);

	/**
	 * 更新信息
	 * @param tyZjxxzbVO
	 * @return
	 */
	int update(TyZjxxzbVO tyZjxxzbVO);

	/**
	 * 删除信息
	 * @author huangxing
	 * @param zjxxid
	 * @return
	 */
	int delete(String zjxxid);

	/**
	 * 根据编号获取信息
	 * @param zjxxid
	 * @return 廒间信息
	 */
	TyZjxxzbVO getZjxxzbByZjxxzbid(String zjxxid);


	/**
	 * 获取所有列表 不分页
	 * @return
	 */
	PageInfo<TyZjxxzbVO> getPageList();
	/**
	 * 批量新增信息
	 * @param tyZjxxzbVO
	 * @return
	 */
	int batchInserts(List<TyZjxxzbVO> tyZjxxzbVO);

}
